> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns EnsoWallet-v2 address details

> Deterministic (CREATE2) EnsoWallet-v2 address for `fromAddress` on `chainId`, and whether it is deployed. The wallet is deployed by the factory inside the first transaction routed through it, so the address can be used as an approval target beforehand.



## OpenAPI

````yaml /public/openapi.json get /api/v1/wallet
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/wallet:
    get:
      tags:
        - DeFi Shortcuts
      summary: Returns EnsoWallet-v2 address details
      description: >-
        Deterministic (CREATE2) EnsoWallet-v2 address for `fromAddress` on
        `chainId`, and whether it is deployed. The wallet is deployed by the
        factory inside the first transaction routed through it, so the address
        can be used as an approval target beforehand.
      operationId: WalletController_wallet
      parameters:
        - name: chainId
          required: false
          in: query
          description: Chain ID of the network to execute the transaction on
          schema:
            default: 1
            type: number
        - name: fromAddress
          required: true
          in: query
          description: Ethereum address of the wallet to send the transaction from
          schema:
            default: '0xd8da6bf26964af9d7eed9e03e53415d37aa96045'
            type: string
        - name: routingStrategy
          required: false
          in: query
          description: Routing strategy to use
          schema:
            nullable: true
            enum:
              - ensowallet-v2
              - router
              - delegate
              - router-legacy
              - delegate-legacy
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Wallet'
components:
  schemas:
    Wallet:
      type: object
      properties:
        address:
          type: string
        isDeployed:
          type: boolean
      required:
        - address
        - isDeployed

````